********************************************************************************************************.
** This SPSS program produces raw data files for subsequent analysis with the CrossMark program ********.
*************reported in Tables 2,3,4 of Ben Pelzer, Rob Eisinga, Phillip Hans Franses *****************.
**************** Inferring Transition Probabilities from Repeated Cross Sections ***********************.   
*************************** Political Analysis, 2002, Volume 10, Issue 2 *******************************.
********************************************************************************************************.
** The original data are not included in this zip file. They are distributed by the ICPSR under ********.
** study no. 7990. The codebook available from the ICPSR website: http://www.icpsr.umich.edu/ **********.
********************************************************************************************************.
** Patterson, Thomas E. PRESIDENTIAL CAMPAIGN IMPACT ON VOTERS: 1976 PANEL, ERIE, PENNSYLVANIA, AND ****.
** LOS ANGELES [Computer file]. Syracuse, NY: Thomas E. Patterson, Syracuse University [producer], 197?*. 
** Ann Arbor, MI: Inter-university Consortium for Political and Social Research [distributor], 1982.****.
********************************************************************************************************.

file handle icpsr /name='c:/icpsr/data/dda7990.dat'.
data list file=icpsr records=38
 /1  vote72 11 age 14-15 educ 18 sex 35 race 38
 /3  demvot1 53
 /4  favcart1 21 favford1 24 
 /5  trucart1 30 truford1 31 leacart1 39 leaford1 40 abicart1 57 abiford1 58
 /7  demind1 32 pres1 33 ford1 47 
 /10 demvot2 24 favcart2 48 favford2 50
 /11 abicart2 53 abiford2 55 leacart2 63 leaford2 65 trucart2 73 truford2 75
 /14 demind2 26 pres2 27 ford2 41
 /17 demvot3 24 favcart3 43 favford3 46
 /18 leacart3 41 leaford3 44 trucart3 50 truford3 53 abicart3 59 abiford3 62 
 /21 demind3 61 pres3 68
 /22 ford3 14
 /24 favcart4 49 favford4 50
 /25 abicart4 24 abiford4 25 trucart4 34 truford4 35 leacart4 39 leaford4 40
 /27 demvot4 31 demind4 54 pres4 58 ford4 72
 /30 favford5 73 favcart5 74  
 /32 leaford5 16 leacart5 17 truford5 21 trucart5 22 abiford5 26 abicart5 27
 /34 demvot5 33 demind5 48 pres5 52 ford5 66
 /35 demvot6 43.

***************************************dependent variable: vote for Democrats.
recode demvot1 (1=1)(2,3,4=0)(0,5,9=9).
recode demvot2 (1=1)(2,3,4=0)(0,5,6,9=9).
recode demvot3 (1=1)(2,3,4=0)(0,5,6,9=9).
recode demvot4 (1=1)(2,3,4,5=0)(0,6,7,9=9).
recode demvot5 (1=1)(2,3,4,5=0)(0,6,7,9=9).
missing values demvot1 demvot2 demvot3 demvot4 demvot5 (9).

****************************************Ford has done a good job.
recode ford1 ford2 ford3 ford4 ford5 (1=7)(2=6)(3=5)(4=4)(5=3)(6=2)(7=1)(0,8,9=9).
missing values ford1 ford2 ford3 ford4 ford5 (9).

****************************************voted for Nixon or McGovern in 1972.
comp nixon=0.
comp mcgovern=0.
if vote72=1 nixon=1.
if vote72=2 mcgovern=1.

****************************************indifferent towards Democratic of Republican president.
recode pres1 pres2 pres3 pres4 pres5 (1=7)(2=6)(3=5)(4=4)(5=3)(6=2)(7=1)(0,8,9=9).
missing values pres1 pres2 pres3 pres4 pres5 (9).

****************************************education.
recode educ (2=1)(3=2)(4=3)(5,6=4)(7=5)(8=6).
missing values educ (9).

****************************************age.
missing values age (99).

****************************************black.
recode race (4=1)(9=9)(else=0) into black.
missing values black (9).

****************************************female.
recode sex (1=1)(2=0) into female.
recode female (sysmis=9).

****************************************self-identification as democrat.
recode demind1 demind2 demind3 demind4 demind5 (1,2=1)(3,4,5,6,7=0)(8,9=9).
missing values demind1 demind2 demind3 demind4 demind5 (9).

**************************listwise deletion missing data*******************.
select if educ ne 9.
select if age ne 99.
select if black ne 9.
select if female ne 9.
exec.

recode trucart1 truford1 leacart1 leaford1 abicart1 abiford1
            trucart2 truford2 leacart2 leaford2 abicart2 abiford2
            trucart3 truford3 leacart3 leaford3 abicart3 abiford3
            trucart4 truford4 leacart4 leaford4 abicart4 abiford4
            trucart5 truford5 leacart5 leaford5 abicart5 abiford5 (8=9).


**************************missing datasubstitution (mds)*************************. 

************************mds: favorable feelings towards Carter*******************.
**********first favcart1.
do if favcart1=9.
if favcart2=1 favcart1=1.
if favcart2=2 favcart1=2.
if favcart2=3 favcart1=3.
if favcart2=4 favcart1=4.
if favcart2=5 favcart1=5.
if favcart2=6 favcart1=6.
if favcart2=7 favcart1=7.
end if.
do if favcart1=9 and favcart2=9.
if favcart3=1 favcart1=1.
if favcart3=2 favcart1=2.
if favcart3=3 favcart1=3.
if favcart3=4 favcart1=4.
if favcart3=5 favcart1=5.
if favcart3=6 favcart1=6.
if favcart3=7 favcart1=7.
end if.
do if favcart1=9 and favcart2=9 and favcart3=9.
if favcart4=1 favcart1=1.
if favcart4=2 favcart1=2.
if favcart4=3 favcart1=3.
if favcart4=4 favcart1=4.
if favcart4=5 favcart1=5.
if favcart4=6 favcart1=6.
if favcart4=7 favcart1=7.
end if.
do if favcart1=9 and favcart2=9 and favcart3=9 and favcart4=9.
if favcart5=1 favcart1=1.
if favcart5=2 favcart1=2.
if favcart5=3 favcart1=3.
if favcart5=4 favcart1=4.
if favcart5=5 favcart1=5.
if favcart5=6 favcart1=6.
if favcart5=7 favcart1=7.
end if.
************now favcart2.
do if favcart2=9.
if favcart3=1 favcart2=1.
if favcart3=2 favcart2=2.
if favcart3=3 favcart2=3.
if favcart3=4 favcart2=4.
if favcart3=5 favcart2=5.
if favcart3=6 favcart2=6.
if favcart3=7 favcart2=7.
end if.
do if favcart2=9 and favcart3=9.
if favcart4=1 favcart2=1.
if favcart4=2 favcart2=2.
if favcart4=3 favcart2=3.
if favcart4=4 favcart2=4.
if favcart4=5 favcart2=5.
if favcart4=6 favcart2=6.
if favcart4=7 favcart2=7.
end if.
do if favcart2=9 and favcart3=9 and favcart4=9.
if favcart5=1 favcart2=1.
if favcart5=2 favcart2=2.
if favcart5=3 favcart2=3.
if favcart5=4 favcart2=4.
if favcart5=5 favcart2=5.
if favcart5=6 favcart2=6.
if favcart5=7 favcart2=7.
end if.
************now favcart3.
do if favcart3=9.
if favcart4=1 favcart3=1.
if favcart4=2 favcart3=2.
if favcart4=3 favcart3=3.
if favcart4=4 favcart3=4.
if favcart4=5 favcart3=5.
if favcart4=6 favcart3=6.
if favcart4=7 favcart3=7.
end if.
do if favcart3=9 and favcart4=9.
if favcart5=1 favcart3=1.
if favcart5=2 favcart3=2.
if favcart5=3 favcart3=3.
if favcart5=4 favcart3=4.
if favcart5=5 favcart3=5.
if favcart5=6 favcart3=6.
if favcart5=7 favcart3=7.
end if.
************now favcart4.
do if favcart4=9.
if favcart5=1 favcart4=1.
if favcart5=2 favcart4=2.
if favcart5=3 favcart4=3.
if favcart5=4 favcart4=4.
if favcart5=5 favcart4=5.
if favcart5=6 favcart4=6.
if favcart5=7 favcart4=7.
end if.
recode favcart1 favcart2 favcart3 favcart4 favcart5 (1=7)(2=6)(3=5)(4,9=4)(5=3)(6=2)(7=1).
exec.

************************mds: favorable feelings towards Ford**********************.
**********first favford1.
do if favford1=9.
if favford2=1 favford1=1.
if favford2=2 favford1=2.
if favford2=3 favford1=3.
if favford2=4 favford1=4.
if favford2=5 favford1=5.
if favford2=6 favford1=6.
if favford2=7 favford1=7.
end if.
do if favford1=9 and favford2=9.
if favford3=1 favford1=1.
if favford3=2 favford1=2.
if favford3=3 favford1=3.
if favford3=4 favford1=4.
if favford3=5 favford1=5.
if favford3=6 favford1=6.
if favford3=7 favford1=7.
end if.
do if favford1=9 and favford2=9 and favford3=9.
if favford4=1 favford1=1.
if favford4=2 favford1=2.
if favford4=3 favford1=3.
if favford4=4 favford1=4.
if favford4=5 favford1=5.
if favford4=6 favford1=6.
if favford4=7 favford1=7.
end if.
do if favford1=9 and favford2=9 and favford3=9 and favford4=9.
if favford5=1 favford1=1.
if favford5=2 favford1=2.
if favford5=3 favford1=3.
if favford5=4 favford1=4.
if favford5=5 favford1=5.
if favford5=6 favford1=6.
if favford5=7 favford1=7.
end if.
************now favford2.
do if favford2=9.
if favford3=1 favford2=1.
if favford3=2 favford2=2.
if favford3=3 favford2=3.
if favford3=4 favford2=4.
if favford3=5 favford2=5.
if favford3=6 favford2=6.
if favford3=7 favford2=7.
end if.
do if favford2=9 and favford3=9.
if favford4=1 favford2=1.
if favford4=2 favford2=2.
if favford4=3 favford2=3.
if favford4=4 favford2=4.
if favford4=5 favford2=5.
if favford4=6 favford2=6.
if favford4=7 favford2=7.
end if.
do if favford2=9 and favford3=9 and favford4=9.
if favford5=1 favford2=1.
if favford5=2 favford2=2.
if favford5=3 favford2=3.
if favford5=4 favford2=4.
if favford5=5 favford2=5.
if favford5=6 favford2=6.
if favford5=7 favford2=7.
end if.
************now favford3.
do if favford3=9.
if favford4=1 favford3=1.
if favford4=2 favford3=2.
if favford4=3 favford3=3.
if favford4=4 favford3=4.
if favford4=5 favford3=5.
if favford4=6 favford3=6.
if favford4=7 favford3=7.
end if.
do if favford3=9 and favford4=9.
if favford5=1 favford3=1.
if favford5=2 favford3=2.
if favford5=3 favford3=3.
if favford5=4 favford3=4.
if favford5=5 favford3=5.
if favford5=6 favford3=6.
if favford5=7 favford3=7.
end if.
************now favford4.
do if favford4=9.
if favford5=1 favford4=1.
if favford5=2 favford4=2.
if favford5=3 favford4=3.
if favford5=4 favford4=4.
if favford5=5 favford4=5.
if favford5=6 favford4=6.
if favford5=7 favford4=7.
end if.
recode favford1 favford2 favford3 favford4 favford5 (1=7)(2=6)(3=5)(4,9=4)(5=3)(6=2)(7=1).
exec.

************************mds: trustworthiness Carter***************************.
**********first trucart1.
do if trucart1=9.
if trucart2=1 trucart1=1.
if trucart2=2 trucart1=2.
if trucart2=3 trucart1=3.
if trucart2=4 trucart1=4.
if trucart2=5 trucart1=5.
if trucart2=6 trucart1=6.
if trucart2=7 trucart1=7.
end if.
do if trucart1=9 and trucart2=9.
if trucart3=1 trucart1=1.
if trucart3=2 trucart1=2.
if trucart3=3 trucart1=3.
if trucart3=4 trucart1=4.
if trucart3=5 trucart1=5.
if trucart3=6 trucart1=6.
if trucart3=7 trucart1=7.
end if.
do if trucart1=9 and trucart2=9 and trucart3=9.
if trucart4=1 trucart1=1.
if trucart4=2 trucart1=2.
if trucart4=3 trucart1=3.
if trucart4=4 trucart1=4.
if trucart4=5 trucart1=5.
if trucart4=6 trucart1=6.
if trucart4=7 trucart1=7.
end if.
do if trucart1=9 and trucart2=9 and trucart3=9 and trucart4=9.
if trucart5=1 trucart1=1.
if trucart5=2 trucart1=2.
if trucart5=3 trucart1=3.
if trucart5=4 trucart1=4.
if trucart5=5 trucart1=5.
if trucart5=6 trucart1=6.
if trucart5=7 trucart1=7.
end if.
************now trucart2.
do if trucart2=9.
if trucart3=1 trucart2=1.
if trucart3=2 trucart2=2.
if trucart3=3 trucart2=3.
if trucart3=4 trucart2=4.
if trucart3=5 trucart2=5.
if trucart3=6 trucart2=6.
if trucart3=7 trucart2=7.
end if.
do if trucart2=9 and trucart3=9.
if trucart4=1 trucart2=1.
if trucart4=2 trucart2=2.
if trucart4=3 trucart2=3.
if trucart4=4 trucart2=4.
if trucart4=5 trucart2=5.
if trucart4=6 trucart2=6.
if trucart4=7 trucart2=7.
end if.
do if trucart2=9 and trucart3=9 and trucart4=9.
if trucart5=1 trucart2=1.
if trucart5=2 trucart2=2.
if trucart5=3 trucart2=3.
if trucart5=4 trucart2=4.
if trucart5=5 trucart2=5.
if trucart5=6 trucart2=6.
if trucart5=7 trucart2=7.
end if.
************now trucart3.
do if trucart3=9.
if trucart4=1 trucart3=1.
if trucart4=2 trucart3=2.
if trucart4=3 trucart3=3.
if trucart4=4 trucart3=4.
if trucart4=5 trucart3=5.
if trucart4=6 trucart3=6.
if trucart4=7 trucart3=7.
end if.
do if trucart3=9 and trucart4=9.
if trucart5=1 trucart3=1.
if trucart5=2 trucart3=2.
if trucart5=3 trucart3=3.
if trucart5=4 trucart3=4.
if trucart5=5 trucart3=5.
if trucart5=6 trucart3=6.
if trucart5=7 trucart3=7.
end if.
************now trucart4.
do if trucart4=9.
if trucart5=1 trucart4=1.
if trucart5=2 trucart4=2.
if trucart5=3 trucart4=3.
if trucart5=4 trucart4=4.
if trucart5=5 trucart4=5.
if trucart5=6 trucart4=6.
if trucart5=7 trucart4=7.
end if.
recode trucart1 trucart2 trucart3 trucart4 trucart5 (1=7)(2=6)(3=5)(4,9=4)(5=3)(6=2)(7=1).
exec.

************************mds: trustworthiness Ford***************************.
**********first truford1.
do if truford1=9.
if truford2=1 truford1=1.
if truford2=2 truford1=2.
if truford2=3 truford1=3.
if truford2=4 truford1=4.
if truford2=5 truford1=5.
if truford2=6 truford1=6.
if truford2=7 truford1=7.
end if.
do if truford1=9 and truford2=9.
if truford3=1 truford1=1.
if truford3=2 truford1=2.
if truford3=3 truford1=3.
if truford3=4 truford1=4.
if truford3=5 truford1=5.
if truford3=6 truford1=6.
if truford3=7 truford1=7.
end if.
do if truford1=9 and truford2=9 and truford3=9.
if truford4=1 truford1=1.
if truford4=2 truford1=2.
if truford4=3 truford1=3.
if truford4=4 truford1=4.
if truford4=5 truford1=5.
if truford4=6 truford1=6.
if truford4=7 truford1=7.
end if.
do if truford1=9 and truford2=9 and truford3=9 and truford4=9.
if truford5=1 truford1=1.
if truford5=2 truford1=2.
if truford5=3 truford1=3.
if truford5=4 truford1=4.
if truford5=5 truford1=5.
if truford5=6 truford1=6.
if truford5=7 truford1=7.
end if.
************now truford2.
do if truford2=9.
if truford3=1 truford2=1.
if truford3=2 truford2=2.
if truford3=3 truford2=3.
if truford3=4 truford2=4.
if truford3=5 truford2=5.
if truford3=6 truford2=6.
if truford3=7 truford2=7.
end if.
do if truford2=9 and truford3=9.
if truford4=1 truford2=1.
if truford4=2 truford2=2.
if truford4=3 truford2=3.
if truford4=4 truford2=4.
if truford4=5 truford2=5.
if truford4=6 truford2=6.
if truford4=7 truford2=7.
end if.
do if truford2=9 and truford3=9 and truford4=9.
if truford5=1 truford2=1.
if truford5=2 truford2=2.
if truford5=3 truford2=3.
if truford5=4 truford2=4.
if truford5=5 truford2=5.
if truford5=6 truford2=6.
if truford5=7 truford2=7.
end if.
************now truford3.
do if truford3=9.
if truford4=1 truford3=1.
if truford4=2 truford3=2.
if truford4=3 truford3=3.
if truford4=4 truford3=4.
if truford4=5 truford3=5.
if truford4=6 truford3=6.
if truford4=7 truford3=7.
end if.
do if truford3=9 and truford4=9.
if truford5=1 truford3=1.
if truford5=2 truford3=2.
if truford5=3 truford3=3.
if truford5=4 truford3=4.
if truford5=5 truford3=5.
if truford5=6 truford3=6.
if truford5=7 truford3=7.
end if.
************now truford4.
do if truford4=9.
if truford5=1 truford4=1.
if truford5=2 truford4=2.
if truford5=3 truford4=3.
if truford5=4 truford4=4.
if truford5=5 truford4=5.
if truford5=6 truford4=6.
if truford5=7 truford4=7.
end if.
recode truford1 truford2 truford3 truford4 truford5 (1=7)(2=6)(3=5)(4,9=4)(5=3)(6=2)(7=1).
exec.

************************mds: leadership Carter **********************************.
**********first leacart1.
do if leacart1=9.
if leacart2=1 leacart1=1.
if leacart2=2 leacart1=2.
if leacart2=3 leacart1=3.
if leacart2=4 leacart1=4.
if leacart2=5 leacart1=5.
if leacart2=6 leacart1=6.
if leacart2=7 leacart1=7.
end if.
do if leacart1=9 and leacart2=9.
if leacart3=1 leacart1=1.
if leacart3=2 leacart1=2.
if leacart3=3 leacart1=3.
if leacart3=4 leacart1=4.
if leacart3=5 leacart1=5.
if leacart3=6 leacart1=6.
if leacart3=7 leacart1=7.
end if.
do if leacart1=9 and leacart2=9 and leacart3=9.
if leacart4=1 leacart1=1.
if leacart4=2 leacart1=2.
if leacart4=3 leacart1=3.
if leacart4=4 leacart1=4.
if leacart4=5 leacart1=5.
if leacart4=6 leacart1=6.
if leacart4=7 leacart1=7.
end if.
do if leacart1=9 and leacart2=9 and leacart3=9 and leacart4=9.
if leacart5=1 leacart1=1.
if leacart5=2 leacart1=2.
if leacart5=3 leacart1=3.
if leacart5=4 leacart1=4.
if leacart5=5 leacart1=5.
if leacart5=6 leacart1=6.
if leacart5=7 leacart1=7.
end if.
************now leacart2.
do if leacart2=9.
if leacart3=1 leacart2=1.
if leacart3=2 leacart2=2.
if leacart3=3 leacart2=3.
if leacart3=4 leacart2=4.
if leacart3=5 leacart2=5.
if leacart3=6 leacart2=6.
if leacart3=7 leacart2=7.
end if.
do if leacart2=9 and leacart3=9.
if leacart4=1 leacart2=1.
if leacart4=2 leacart2=2.
if leacart4=3 leacart2=3.
if leacart4=4 leacart2=4.
if leacart4=5 leacart2=5.
if leacart4=6 leacart2=6.
if leacart4=7 leacart2=7.
end if.
do if leacart2=9 and leacart3=9 and leacart4=9.
if leacart5=1 leacart2=1.
if leacart5=2 leacart2=2.
if leacart5=3 leacart2=3.
if leacart5=4 leacart2=4.
if leacart5=5 leacart2=5.
if leacart5=6 leacart2=6.
if leacart5=7 leacart2=7.
end if.
************now leacart3.
do if leacart3=9.
if leacart4=1 leacart3=1.
if leacart4=2 leacart3=2.
if leacart4=3 leacart3=3.
if leacart4=4 leacart3=4.
if leacart4=5 leacart3=5.
if leacart4=6 leacart3=6.
if leacart4=7 leacart3=7.
end if.
do if leacart3=9 and leacart4=9.
if leacart5=1 leacart3=1.
if leacart5=2 leacart3=2.
if leacart5=3 leacart3=3.
if leacart5=4 leacart3=4.
if leacart5=5 leacart3=5.
if leacart5=6 leacart3=6.
if leacart5=7 leacart3=7.
end if.
************now leacart4.
do if leacart4=9.
if leacart5=1 leacart4=1.
if leacart5=2 leacart4=2.
if leacart5=3 leacart4=3.
if leacart5=4 leacart4=4.
if leacart5=5 leacart4=5.
if leacart5=6 leacart4=6.
if leacart5=7 leacart4=7.
end if.
recode leacart1 leacart2 leacart3 leacart4 leacart5 (1=7)(2=6)(3=5)(4,9=4)(5=3)(6=2)(7=1).
exec.

************************mds: leadership Ford**********************************.
**********first leaford1.
do if leaford1=9.
if leaford2=1 leaford1=1.
if leaford2=2 leaford1=2.
if leaford2=3 leaford1=3.
if leaford2=4 leaford1=4.
if leaford2=5 leaford1=5.
if leaford2=6 leaford1=6.
if leaford2=7 leaford1=7.
end if.
do if leaford1=9 and leaford2=9.
if leaford3=1 leaford1=1.
if leaford3=2 leaford1=2.
if leaford3=3 leaford1=3.
if leaford3=4 leaford1=4.
if leaford3=5 leaford1=5.
if leaford3=6 leaford1=6.
if leaford3=7 leaford1=7.
end if.
do if leaford1=9 and leaford2=9 and leaford3=9.
if leaford4=1 leaford1=1.
if leaford4=2 leaford1=2.
if leaford4=3 leaford1=3.
if leaford4=4 leaford1=4.
if leaford4=5 leaford1=5.
if leaford4=6 leaford1=6.
if leaford4=7 leaford1=7.
end if.
do if leaford1=9 and leaford2=9 and leaford3=9 and leaford4=9.
if leaford5=1 leaford1=1.
if leaford5=2 leaford1=2.
if leaford5=3 leaford1=3.
if leaford5=4 leaford1=4.
if leaford5=5 leaford1=5.
if leaford5=6 leaford1=6.
if leaford5=7 leaford1=7.
end if.
************now leaford2.
do if leaford2=9.
if leaford3=1 leaford2=1.
if leaford3=2 leaford2=2.
if leaford3=3 leaford2=3.
if leaford3=4 leaford2=4.
if leaford3=5 leaford2=5.
if leaford3=6 leaford2=6.
if leaford3=7 leaford2=7.
end if.
do if leaford2=9 and leaford3=9.
if leaford4=1 leaford2=1.
if leaford4=2 leaford2=2.
if leaford4=3 leaford2=3.
if leaford4=4 leaford2=4.
if leaford4=5 leaford2=5.
if leaford4=6 leaford2=6.
if leaford4=7 leaford2=7.
end if.
do if leaford2=9 and leaford3=9 and leaford4=9.
if leaford5=1 leaford2=1.
if leaford5=2 leaford2=2.
if leaford5=3 leaford2=3.
if leaford5=4 leaford2=4.
if leaford5=5 leaford2=5.
if leaford5=6 leaford2=6.
if leaford5=7 leaford2=7.
end if.
************now leaford3.
do if leaford3=9.
if leaford4=1 leaford3=1.
if leaford4=2 leaford3=2.
if leaford4=3 leaford3=3.
if leaford4=4 leaford3=4.
if leaford4=5 leaford3=5.
if leaford4=6 leaford3=6.
if leaford4=7 leaford3=7.
end if.
do if leaford3=9 and leaford4=9.
if leaford5=1 leaford3=1.
if leaford5=2 leaford3=2.
if leaford5=3 leaford3=3.
if leaford5=4 leaford3=4.
if leaford5=5 leaford3=5.
if leaford5=6 leaford3=6.
if leaford5=7 leaford3=7.
end if.
************now leaford4.
do if leaford4=9.
if leaford5=1 leaford4=1.
if leaford5=2 leaford4=2.
if leaford5=3 leaford4=3.
if leaford5=4 leaford4=4.
if leaford5=5 leaford4=5.
if leaford5=6 leaford4=6.
if leaford5=7 leaford4=7.
end if.
recode leaford1 leaford2 leaford3 leaford4 leaford5 (1=7)(2=6)(3=5)(4,9=4)(5=3)(6=2)(7=1).
exec.

************************mds: ability Carter**********************************.
**********first abicart1.
do if abicart1=9.
if abicart2=1 abicart1=1.
if abicart2=2 abicart1=2.
if abicart2=3 abicart1=3.
if abicart2=4 abicart1=4.
if abicart2=5 abicart1=5.
if abicart2=6 abicart1=6.
if abicart2=7 abicart1=7.
end if.
do if abicart1=9 and abicart2=9.
if abicart3=1 abicart1=1.
if abicart3=2 abicart1=2.
if abicart3=3 abicart1=3.
if abicart3=4 abicart1=4.
if abicart3=5 abicart1=5.
if abicart3=6 abicart1=6.
if abicart3=7 abicart1=7.
end if.
do if abicart1=9 and abicart2=9 and abicart3=9.
if abicart4=1 abicart1=1.
if abicart4=2 abicart1=2.
if abicart4=3 abicart1=3.
if abicart4=4 abicart1=4.
if abicart4=5 abicart1=5.
if abicart4=6 abicart1=6.
if abicart4=7 abicart1=7.
end if.
do if abicart1=9 and abicart2=9 and abicart3=9 and abicart4=9.
if abicart5=1 abicart1=1.
if abicart5=2 abicart1=2.
if abicart5=3 abicart1=3.
if abicart5=4 abicart1=4.
if abicart5=5 abicart1=5.
if abicart5=6 abicart1=6.
if abicart5=7 abicart1=7.
end if.
************now abicart2.
do if abicart2=9.
if abicart3=1 abicart2=1.
if abicart3=2 abicart2=2.
if abicart3=3 abicart2=3.
if abicart3=4 abicart2=4.
if abicart3=5 abicart2=5.
if abicart3=6 abicart2=6.
if abicart3=7 abicart2=7.
end if.
do if abicart2=9 and abicart3=9.
if abicart4=1 abicart2=1.
if abicart4=2 abicart2=2.
if abicart4=3 abicart2=3.
if abicart4=4 abicart2=4.
if abicart4=5 abicart2=5.
if abicart4=6 abicart2=6.
if abicart4=7 abicart2=7.
end if.
do if abicart2=9 and abicart3=9 and abicart4=9.
if abicart5=1 abicart2=1.
if abicart5=2 abicart2=2.
if abicart5=3 abicart2=3.
if abicart5=4 abicart2=4.
if abicart5=5 abicart2=5.
if abicart5=6 abicart2=6.
if abicart5=7 abicart2=7.
end if.
************now abicart3.
do if abicart3=9.
if abicart4=1 abicart3=1.
if abicart4=2 abicart3=2.
if abicart4=3 abicart3=3.
if abicart4=4 abicart3=4.
if abicart4=5 abicart3=5.
if abicart4=6 abicart3=6.
if abicart4=7 abicart3=7.
end if.
do if abicart3=9 and abicart4=9.
if abicart5=1 abicart3=1.
if abicart5=2 abicart3=2.
if abicart5=3 abicart3=3.
if abicart5=4 abicart3=4.
if abicart5=5 abicart3=5.
if abicart5=6 abicart3=6.
if abicart5=7 abicart3=7.
end if.
************now abicart4.
do if abicart4=9.
if abicart5=1 abicart4=1.
if abicart5=2 abicart4=2.
if abicart5=3 abicart4=3.
if abicart5=4 abicart4=4.
if abicart5=5 abicart4=5.
if abicart5=6 abicart4=6.
if abicart5=7 abicart4=7.
end if.
recode abicart1 abicart2 abicart3 abicart4 abicart5 (1=7)(2=6)(3=5)(4,9=4)(5=3)(6=2)(7=1).
exec.

************************mds: ability Ford**********************************.
**********first abiford1.
do if abiford1=9.
if abiford2=1 abiford1=1.
if abiford2=2 abiford1=2.
if abiford2=3 abiford1=3.
if abiford2=4 abiford1=4.
if abiford2=5 abiford1=5.
if abiford2=6 abiford1=6.
if abiford2=7 abiford1=7.
end if.
do if abiford1=9 and abiford2=9.
if abiford3=1 abiford1=1.
if abiford3=2 abiford1=2.
if abiford3=3 abiford1=3.
if abiford3=4 abiford1=4.
if abiford3=5 abiford1=5.
if abiford3=6 abiford1=6.
if abiford3=7 abiford1=7.
end if.
do if abiford1=9 and abiford2=9 and abiford3=9.
if abiford4=1 abiford1=1.
if abiford4=2 abiford1=2.
if abiford4=3 abiford1=3.
if abiford4=4 abiford1=4.
if abiford4=5 abiford1=5.
if abiford4=6 abiford1=6.
if abiford4=7 abiford1=7.
end if.
do if abiford1=9 and abiford2=9 and abiford3=9 and abiford4=9.
if abiford5=1 abiford1=1.
if abiford5=2 abiford1=2.
if abiford5=3 abiford1=3.
if abiford5=4 abiford1=4.
if abiford5=5 abiford1=5.
if abiford5=6 abiford1=6.
if abiford5=7 abiford1=7.
end if.
************now abiford2.
do if abiford2=9.
if abiford3=1 abiford2=1.
if abiford3=2 abiford2=2.
if abiford3=3 abiford2=3.
if abiford3=4 abiford2=4.
if abiford3=5 abiford2=5.
if abiford3=6 abiford2=6.
if abiford3=7 abiford2=7.
end if.
do if abiford2=9 and abiford3=9.
if abiford4=1 abiford2=1.
if abiford4=2 abiford2=2.
if abiford4=3 abiford2=3.
if abiford4=4 abiford2=4.
if abiford4=5 abiford2=5.
if abiford4=6 abiford2=6.
if abiford4=7 abiford2=7.
end if.
do if abiford2=9 and abiford3=9 and abiford4=9.
if abiford5=1 abiford2=1.
if abiford5=2 abiford2=2.
if abiford5=3 abiford2=3.
if abiford5=4 abiford2=4.
if abiford5=5 abiford2=5.
if abiford5=6 abiford2=6.
if abiford5=7 abiford2=7.
end if.
************now abiford3.
do if abiford3=9.
if abiford4=1 abiford3=1.
if abiford4=2 abiford3=2.
if abiford4=3 abiford3=3.
if abiford4=4 abiford3=4.
if abiford4=5 abiford3=5.
if abiford4=6 abiford3=6.
if abiford4=7 abiford3=7.
end if.
do if abiford3=9 and abiford4=9.
if abiford5=1 abiford3=1.
if abiford5=2 abiford3=2.
if abiford5=3 abiford3=3.
if abiford5=4 abiford3=4.
if abiford5=5 abiford3=5.
if abiford5=6 abiford3=6.
if abiford5=7 abiford3=7.
end if.
************now abiford4.
do if abiford4=9.
if abiford5=1 abiford4=1.
if abiford5=2 abiford4=2.
if abiford5=3 abiford4=3.
if abiford5=4 abiford4=4.
if abiford5=5 abiford4=5.
if abiford5=6 abiford4=6.
if abiford5=7 abiford4=7.
end if.
recode abiford1 abiford2 abiford3 abiford4 abiford5 (1=7)(2=6)(3=5)(4,9=4)(5=3)(6=2)(7=1).
exec.

***************************write out data files for t=1,2,3,4,5 and then add files ******************.
comp ident=$casenum.
comp t=1.
format t (f2.0).
temp.
select if demvot1 ne 9 and demind1 ne 9 and pres1 ne 9 and ford1 ne 9.
save outfile='c:/icpsr/pa/wave1.sav' /keep=
 ident t  nixon mcgovern  educ age black female 
 demvot1 demvot2 demvot3 demvot4 demvot5
 demind1 demind2 demind3 demind4 demind5
 pres1 pres2 pres3 pres4 pres5
 ford1 ford2 ford3 ford4 ford5
 favcart1 favcart2 favcart3 favcart4 favcart5
 favford1 favford2 favford3 favford4 favford5
 trucart1  trucart2  trucart3  trucart4  trucart5 
 truford1  truford2  truford3  truford4  truford5 
 leacart1  leacart2  leacart3  leacart4  leacart5 
 leaford1  leaford2  leaford3  leaford4  leaford5 
 abicart1  abicart2  abicart3  abicart4  abicart5  
 abiford1  abiford2  abiford3  abiford4  abiford5 
/compressed.
exec.
comp t=2.
format t (f2.0).
temp.
select if demvot2 ne 9 and demind2 ne 9 and pres2 ne 9 and ford2 ne 9.
save outfile='c:/icpsr/pa/wave2.sav' /keep=
 ident t  nixon mcgovern  educ age black female 
 demvot1 demvot2 demvot3 demvot4 demvot5
 demind1 demind2 demind3 demind4 demind5
 pres1 pres2 pres3 pres4 pres5
 ford1 ford2 ford3 ford4 ford5
 favcart1 favcart2 favcart3 favcart4 favcart5
 favford1 favford2 favford3 favford4 favford5
 trucart1  trucart2  trucart3  trucart4  trucart5
 truford1  truford2  truford3  truford4  truford5
 leacart1  leacart2  leacart3  leacart4  leacart5
 leaford1  leaford2  leaford3  leaford4  leaford5
 abicart1  abicart2 abicart3  abicart4  abicart5
 abiford1  abiford2  abiford3  abiford4  abiford5
 /compressed.
exec.
comp t=3.
format t (f2.0).
temp.
select if demvot3 ne 9 and demind3 ne 9 and pres3 ne 9  and ford3 ne 9.
save outfile='c:/icpsr/pa/wave3.sav' /keep=
 ident t  nixon mcgovern  educ age black female 
 demvot1 demvot2 demvot3 demvot4 demvot5
 demind1 demind2 demind3 demind4 demind5
 pres1 pres2 pres3 pres4 pres5
 ford1 ford2 ford3 ford4 ford5
 favcart1 favcart2 favcart3 favcart4 favcart5
 favford1 favford2 favford3 favford4 favford5
 trucart1  trucart2  trucart3  trucart4  trucart5 
 truford1  truford2  truford3  truford4  truford5 
 leacart1  leacart2  leacart3  leacart4  leacart5 
 leaford1  leaford2  leaford3  leaford4  leaford5 
 abicart1  abicart2 abicart3  abicart4  abicart5  
 abiford1  abiford2  abiford3  abiford4  abiford5 
 /compressed.
exec.
comp t=4.
format t (f2.0).
temp.
select if demvot4 ne 9 and demind4 ne 9 and pres4 ne 9  and ford4 ne 9.
save outfile='c:/icpsr/pa/wave4.sav' /keep= 
 ident t  nixon mcgovern  educ age black female 
 demvot1 demvot2 demvot3 demvot4 demvot5
 demind1 demind2 demind3 demind4 demind5
 pres1 pres2 pres3 pres4 pres5
 ford1 ford2 ford3 ford4 ford5
 favcart1 favcart2 favcart3 favcart4 favcart5
 favford1 favford2 favford3 favford4 favford5
 trucart1  trucart2  trucart3  trucart4  trucart5 
 truford1  truford2  truford3  truford4  truford5 
 leacart1  leacart2  leacart3  leacart4  leacart5 
 leaford1  leaford2  leaford3  leaford4  leaford5 
 abicart1  abicart2 abicart3  abicart4  abicart5  
 abiford1  abiford2  abiford3  abiford4  abiford5 
 /compressed.
comp t=5.
format t (f2.0).
temp.
select if demvot5 ne 9 and demind5 ne 9 and pres5 ne 9  and ford5 ne 9.
save outfile='c:/icpsr/pa/wave5.sav' /keep= 
 ident t  nixon mcgovern  educ age black female 
 demvot1 demvot2 demvot3 demvot4 demvot5
 demind1 demind2 demind3 demind4 demind5
 pres1 pres2 pres3 pres4 pres5
 ford1 ford2 ford3 ford4 ford5
 favcart1 favcart2 favcart3 favcart4 favcart5
 favford1 favford2 favford3 favford4 favford5
 trucart1  trucart2  trucart3  trucart4  trucart5 
 truford1  truford2  truford3  truford4  truford5 
 leacart1  leacart2  leacart3  leacart4  leacart5 
 leaford1  leaford2  leaford3  leaford4  leaford5 
 abicart1  abicart2 abicart3  abicart4  abicart5  
 abiford1  abiford2  abiford3  abiford4  abiford5 
 /compressed.
exec. 
get file=                  'c:/icpsr/pa/wave1.sav'.
add files / files=* / file='c:/icpsr/pa/wave2.sav'.
add files / files=* / file='c:/icpsr/pa/wave3.sav'.
add files / files=* / file='c:/icpsr/pa/wave4.sav'.
add files / files=* / file='c:/icpsr/pa/wave5.sav'.
exec.

**************** make y and yprev (=yt-1)*************.
do if t=1.
comp y=demvot1.
comp yprev=0.
end if.

do if t=2.
comp y=demvot2.
comp yprev=demvot1.
end if.

do if t=3.
comp y=demvot3.
comp yprev=demvot2.
end if.

do if t=4.
comp y=demvot4.
comp yprev=demvot3.
end if.

do if t=5.
comp y=demvot5.
comp yprev=demvot4.
end if.

**************make non-backcastable variables********.
comp i1=0.
comp i2=0.
comp i3=0.
comp i4=0.
comp i5=0.

comp dfafor1=0.
comp dfafor2=0.
comp dfafor3=0.
comp dfafor4=0.
comp dfafor5=0.

comp dlecar1=0.
comp dlecar2=0.
comp dlecar3=0.
comp dlecar4=0.
comp dlecar5=0.
comp dlefor1=0.
comp dlefor2=0.
comp dlefor3=0.
comp dlefor4=0.
comp dlefor5=0.

comp dtrcar1=0.
comp dtrcar2=0.
comp dtrcar3=0.
comp dtrcar4=0.
comp dtrcar5=0.
comp dtrfor1=0.
comp dtrfor2=0.
comp dtrfor3=0.
comp dtrfor4=0.
comp dtrfor5=0.

comp dabcar1=0.
comp dabcar2=0.
comp dabcar3=0.
comp dabcar4=0.
comp dabcar5=0.
comp dabfor1=0.
comp dabfor2=0.
comp dabfor3=0.
comp dabfor4=0.
comp dabfor5=0.

comp deduc1=0.
comp dage1=0.
comp dblack1=0.
comp dfemale1=0.
comp ddemind1=0.
comp dpres1=0.
comp dford1=0.
comp dnixon1=0.
comp dmcgov1=0.
comp dfacar1=0.

comp deduc2=0.
comp dage2=0.
comp dblack2=0.
comp dfemale2=0.
comp ddemind2=0.
comp dpres2=0.
comp dford2=0.
comp dnixon2=0.
comp dmcgov2=0.
comp dfacar2=0.

comp deduc3=0.
comp dage3=0.
comp dblack3=0.
comp dfemale3=0.
comp ddemind3=0.
comp dpres3=0.
comp dford3=0.
comp dnixon3=0.
comp dmcgov3=0.
comp dfacar3=0.

comp deduc4=0.
comp dage4=0.
comp dblack4=0.
comp dfemale4=0.
comp ddemind4=0.
comp dpres4=0.
comp dford4=0.
comp dnixon4=0.
comp dmcgov4=0.
comp dfacar4=0.

comp deduc5=0.
comp dage5=0.
comp dblack5=0.
comp dfemale5=0.
comp ddemind5=0.
comp dpres5=0.
comp dford5=0.
comp dnixon5=0.
comp dmcgov5=0.
comp dfacar5=0.

do if t=1.
comp i1=1.
comp deduc1=educ.
comp dage1=age.
comp dblack1=black.
comp dfemale1=female.
comp ddemind1=demind1.
comp dpres1=pres1.
comp dford1=ford1.
comp dnixon1=nixon.
comp dmcgov1=mcgovern.
comp dfacar1=favcart1.
comp dfafor1=favford1.
comp dlecar1=leacart1.
comp dlefor1=leaford1.
comp dabcar1=abicart1.
comp dabfor1=abiford1.
comp dtrcar1=trucart1.
comp dtrfor1=truford1.

else if t=2.
comp i2=1.
comp deduc2=educ.
comp dage2=age.
comp dblack2=black.
comp dfemale2=female.
comp ddemind2=demind2.
comp dpres2=pres2.
comp dford2=ford2.
comp dnixon2=nixon.
comp dmcgov2=mcgovern.
comp dfacar2=favcart2.
comp dfafor2=favford2.
comp dlecar2=leacart2.
comp dlefor2=leaford2.
comp dabcar2=abicart2.
comp dabfor2=abiford2.
comp dtrcar2=trucart2.
comp dtrfor2=truford2.

else if t=3.
comp i3=1.
comp deduc3=educ.
comp dage3=age.
comp dblack3=black.
comp dfemale3=female.
comp ddemind3=demind3.
comp dpres3=pres3.
comp dford3=ford3.
comp dnixon3=nixon.
comp dmcgov3=mcgovern.
comp dfacar3=favcart3.
comp dfafor3=favford3.
comp dlecar3=leacart3.
comp dlefor3=leaford3.
comp dabcar3=abicart3.
comp dabfor3=abiford3.
comp dtrcar3=trucart3.
comp dtrfor3=truford3.

else if t=4.
comp i4=1.
comp deduc4=educ.
comp dage4=age.
comp dblack4=black.
comp dfemale4=female.
comp ddemind4=demind4.
comp dpres4=pres4.
comp dford4=ford4.
comp dnixon4=nixon.
comp dmcgov4=mcgovern.
comp dfacar4=favcart4.
comp dfafor4=favford4.
comp dlecar4=leacart4.
comp dlefor4=leaford4.
comp dabcar4=abicart4.
comp dabfor4=abiford4.
comp dtrcar4=trucart4.
comp dtrfor4=truford4.

else if t=5.
comp i5=1.
comp deduc5=educ.
comp dage5=age.
comp dblack5=black.
comp dfemale5=female.
comp ddemind5=demind5.
comp dpres5=pres5.
comp dford5=ford5.
comp dnixon5=nixon.
comp dmcgov5=mcgovern.
comp dfacar5=favcart5.
comp dfafor5=favford5.
comp dlecar5=leacart5.
comp dlefor5=leaford5.
comp dabcar5=abicart5.
comp dabfor5=abiford5.
comp dtrcar5=trucart5.
comp dtrfor5=truford5.
end if.

sort cases by t.
exec.

***********************************save constructed data file****************************.
save outfile='c:/icpsr/pa/allwaves.sav'/keep=
    ident t y yprev educ black female age nixon mcgovern i1 i2 i3 i4 i5
    ddemind1 ddemind2 ddemind3 ddemind4 ddemind5 dpres1 dpres2 dpres3 dpres4 dpres5
    dford1 dford2 dford3 dford4 dford5 dfacar1 dfacar2 dfacar3 dfacar4 dfacar5
    dfafor1 dfafor2 dfafor3 dfafor4 dfafor5 dtrcar1 dtrcar2 dtrcar3 dtrcar4 dtrcar5
    dtrfor1 dtrfor2 dtrfor3 dtrfor4 dtrfor5 dabcar1 dabcar2 dabcar3 dabcar4 dabcar5
    dabfor1 dabfor2 dabfor3 dabfor4 dabfor5 dlecar1 dlecar2 dlecar3 dlecar4 dlecar5
    dlefor1 dlefor2 dlefor3 dlefor4 dlefor5.
exec.

***********************************get constructed data file******************************.
get file='c:/icpsr/pa/allwaves.sav'.

**********************write out raw input files for table2.crm ***************************.
write outfile='c:/icpsr/pa/table2.dat'/
    t y (2(f2.0,3x))
    nixon mcgovern black educ age female (6(f3.0,3x)) ' 1 '
    nixon mcgovern black educ age female (6(f3.0,3x)) ' 1 '
    ' 1 '.
exec.

**********************write out raw input files for table3.crm ***************************.
***********************************center candidat images**********************.
temp.
recode dpres1 dpres2 dpres3 dpres4 dpres5 dford1 dford2 dford3 dford4 dford5
    dfacar1 dfacar2 dfacar3 dfacar4 dfacar5 dfafor1 dfafor2 dfafor3 dfafor4
    dtrcar1 dtrcar2 dtrcar3 dtrcar4 dtrcar5 dtrfor1 dtrfor2 dtrfor3 dtrfor4 dtrfor5
    dabcar1 dabcar2 dabcar3 dabcar4 dabcar5 dabfor1 dabfor2 dabfor3 dabfor4 dabfor5
    dlecar1 dlecar2 dlecar3 dlecar4 dlecar5 dlefor1 dlefor2 dlefor3 dlefor4 dlefor5
    (1=-3)(2=-2)(3=-1)(4=0)(5=1)(6=2)(7=3).

write outfile='c:/icpsr/pa/table3.dat'/
    t y (2(f2.0,3x))
    nixon mcgovern (2(f2.0,3x))
    ' 1 '
    ddemind1 dpres1 dfafor1 (3(f2.0,3x))
    nixon mcgovern black educ (4(f2.0,3x))
    ' 1 '
    ddemind1 ddemind2 ddemind3 ddemind4 ddemind5
    ddemind1 ddemind2 ddemind3 ddemind4 ddemind5
    dpres1 dpres2 dpres3 dpres4 dpres5
    dford1 dford2 dford3 dford4 dford5
    dfafor1 dfafor2 dfafor3 dfafor4 dfafor5
    dfafor1 dfafor2 dfafor3 dfafor4 dfafor5
    dtrfor1 dtrfor2 dtrfor3 dtrfor4 dtrfor5
    dlefor1 dlefor2 dlefor3 dlefor4 dlefor5
    dabfor1 dabfor2 dabfor3 dabfor4 dabfor5
    dfacar1 dfacar2 dfacar3 dfacar4 dfacar5
    dfacar1 dfacar2 dfacar3 dfacar4 dfacar5
    dtrcar1 dtrcar2 dtrcar3 dtrcar4 dtrcar5
    dlecar1 dlecar2 dlecar3 dlecar4 dlecar5
    dabcar1 dabcar2 dabcar3 dabcar4 dabcar5
    i1 i2 i3 i4 i5
    i1 i2 i3 i4 i5
    i1 i2 i3 i4 i5
    (85(f2.0,3x))
     ' 1 '.
exec.

************************* data for comparison rcs and dynamic panel analysis**************.
recode yprev (sysmis=9).
select if yprev ne 9.
exec.

**********************write out raw input files for tabel4rcs.crm ************************.

write outfile='c:/icpsr/pa/table4rcs.dat'/
    t y (2(f2.0,3x))
    ' 1 ' nixon mcgovern ddemind1 dfafor1 dpres1 (5(f2.0,3x))
    ' 1 '
    educ black nixon mcgovern (4(f2.0,3x))
    i1 i2 i3 i4 i5
    i1 i2 i3 i4 i5
    i1 i2 i3 i4 i5
    ddemind1 ddemind2 ddemind3 ddemind4 ddemind5
    ddemind1 ddemind2 ddemind3 ddemind4 ddemind5
    dpres1 dpres2 dpres3 dpres4 dpres5
    dford1 dford2 dford3 dford4 dford5
    dfacar1 dfacar2 dfacar3 dfacar4 dfacar5
    dfacar1 dfacar2 dfacar3 dfacar4 dfacar5
    dfafor1 dfafor2 dfafor3 dfafor4 dfafor5
    dfafor1 dfafor2 dfafor3 dfafor4 dfafor5
    dtrcar1 dtrcar2 dtrcar3 dtrcar4 dtrcar5
    dtrfor1 dtrfor2 dtrfor3 dtrfor4 dtrfor5
    dabcar1 dabcar2 dabcar3 dabcar4 dabcar5
    dabfor1 dabfor2 dabfor3 dabfor4 dabfor5
    dlecar1 dlecar2 dlecar3 dlecar4 dlecar5
    dlefor1 dlefor2 dlefor3 dlefor4 dlefor5
    (85(f2.0,3x))
     '  1 '.
exec.

**********************write out raw input files for tabel4panel.crm **********************.
comp mu1=9.
comp mu2=9.
comp mu3=9.
comp mu4=9.
comp mu5=9.
comp la2=9.
comp la3=9.
comp la4=9.
comp la5=9.

if t>=2 and (yprev=0) mu1=0.
if t>=2 and (yprev=0) la2=0.

if t>=2 and (yprev=1) mu1=1.
if t>=2 and (yprev=1) mu2=0.

if t>=3 and (yprev=0) mu1=0.
if t>=3 and (yprev=0) mu2=0.
if t>=3 and (yprev=0) la2=1.
if t>=3 and (yprev=0) la3=0.

if t>=3 and (yprev=1) mu1=0.
if t>=3 and (yprev=1) mu2=1.
if t>=3 and (yprev=1) mu3=0.
if t>=3 and (yprev=1) la2=0.

if t>=4 and (yprev=0) mu1=0.
if t>=4 and (yprev=0) mu2=0.
if t>=4 and (yprev=0) mu3=0.
if t>=4 and (yprev=0) la2=0.
if t>=4 and (yprev=0) la3=1.
if t>=4 and (yprev=0) la4=0.

if t>=4 and (yprev=1) mu1=0.
if t>=4 and (yprev=1) mu2=0.
if t>=4 and (yprev=1) la2=0.
if t>=4 and (yprev=1) mu3=1.
if t>=4 and (yprev=1) la3=0.
if t>=4 and (yprev=1) mu4=0.

if t>=5 and (yprev=0) mu1=0.
if t>=5 and (yprev=0) mu2=0.
if t>=5 and (yprev=0) mu3=0.
if t>=5 and (yprev=0) mu4=0.
if t>=5 and (yprev=0) la2=0.
if t>=5 and (yprev=0) la3=0.
if t>=5 and (yprev=0) la4=1.
if t>=5 and (yprev=0) la5=0.

if t>=5 and (yprev=1) mu1=0.
if t>=5 and (yprev=1) mu2=0.
if t>=5 and (yprev=1) mu3=0.
if t>=5 and (yprev=1) mu4=1.
if t>=5 and (yprev=1) mu5=0.
if t>=5 and (yprev=1) la2=0.
if t>=5 and (yprev=1) la3=0.
if t>=5 and (yprev=1) la4=0.

if t=1 freq=.0000000001.
if t=2 freq=1.
if t=3 freq=1.
if t=4 freq=1.
if t=5 freq=1.
format freq (f12.10).

write outfile='c:/icpsr/pa/table4panel.dat'/
    t y (2(f2.0,3x))
    nixon mcgovern (2(f2.0,3x))
    ' 1 '
    ddemind1 dpres1 dfafor1 (3(f2.0,3x))
    nixon mcgovern black educ (4(f2.0,3x))
    ' 1 '
    ddemind1 ddemind2 ddemind3 ddemind4 ddemind5
    ddemind1 ddemind2 ddemind3 ddemind4 ddemind5
    dpres1 dpres2 dpres3 dpres4 dpres5
    dford1 dford2 dford3 dford4 dford5
    dfafor1 dfafor2 dfafor3 dfafor4 dfafor5
    dfafor1 dfafor2 dfafor3 dfafor4 dfafor5
    dtrfor1 dtrfor2 dtrfor3 dtrfor4 dtrfor5
    dlefor1 dlefor2 dlefor3 dlefor4 dlefor5
    dabfor1 dabfor2 dabfor3 dabfor4 dabfor5
    dfacar1 dfacar2 dfacar3 dfacar4 dfacar5
    dfacar1 dfacar2 dfacar3 dfacar4 dfacar5
    dtrcar1 dtrcar2 dtrcar3 dtrcar4 dtrcar5
    dlecar1 dlecar2 dlecar3 dlecar4 dlecar5
    dabcar1 dabcar2 dabcar3 dabcar4 dabcar5 
    i1 i2 i3 i4 i5
    i1 i2 i3 i4 i5
    i1 i2 i3 i4 i5 (85(f2.0,3x)) freq (f12.10).
exec.

comp id=$casenum.

write outfile='c:/icpsr/pa/fixmu.dat'/
 id (f5.0,1x) mu1 mu2 mu3 mu4 mu5 (5(f1.0,1x)).
write outfile='c:/icpsr/pa/fixla.dat'/
 id (f5.0,1x) la2 la3 la4 la5 (4(f1.0,1x)).
exec.

